export interface ISearchResults {
    '@odata.context': string;
    value: Value[];
}
interface Value {
    searchTerms: any[];
    hitsContainers: HitsContainer[];
}
export interface HitsContainer {
    total: number;
    moreResultsAvailable: boolean;
    hits: Hit[];
}
export interface Hit {
    hitId: string;
    rank: number;
    summary: string;
    resource: ResourceList | ResourceListItem;
}
export interface ResourceList {
    '@odata.type': string;
    displayName: string;
    id: string;
    lastModifiedDateTime: string;
    name: string;
    webUrl: string;
    createdBy: CreatedBy;
    parentReference: ParentReference;
}
export interface ResourceListItem {
    '@odata.type': string;
    id: string;
    createdBy: any;
    parentReference: ParentReference;
    fields: FieldsListItem;
}
export interface FieldsListItem {
    id: string;
    contentclass: string;
    title: string;
    firstPublishedDate: string;
    description: string;
    siteId: string;
    webId: string;
    path: string;
    listId: string;
    createdBy: string;
    viewsLifeTime: string;
    siteTitle: string;
    bannerImageUrlOWSURLH: string;
    shareCountLifetime: string;
}
export interface ParentReference {
    id: string;
    siteId: string;
}
interface CreatedBy {
    user: User;
}
interface User {
    displayName: string;
}
export {};
